"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var react_1 = __importDefault(require("react"));
var defaultOptions_1 = __importDefault(require("../../defaultOptions"));
var enums_1 = require("../../enums");
var DataUtils_1 = require("../../Utils/DataUtils");
var DateUtils_1 = require("../../Utils/DateUtils");
var CellEditorDate = function (_a) {
    var column = _a.column, dispatch = _a.dispatch, rowData = _a.rowData, rowKeyField = _a.rowKeyField;
    var fieldValue = DataUtils_1.getValueByColumn(rowData, column);
    var value = fieldValue && DateUtils_1.getDateInputValue(fieldValue);
    return (react_1["default"].createElement("input", { autoFocus: true, className: defaultOptions_1["default"].css.dateInput, type: 'date', value: value || '', onChange: function (event) {
            var targetValue = event.currentTarget.value;
            var newValue = targetValue ? new Date(targetValue) : null;
            dispatch(enums_1.ActionType.ChangeRowData, { newValue: DataUtils_1.replaceValue(rowData, column, newValue) });
        }, onBlur: function () {
            var cell = { columnKey: column.key, rowKey: rowData[rowKeyField] };
            dispatch(enums_1.ActionType.CloseEditor, { cell: cell });
        } }));
};
exports["default"] = CellEditorDate;
