"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var react_1 = __importDefault(require("react"));
var defaultOptions_1 = __importDefault(require("../../defaultOptions"));
var enums_1 = require("../../enums");
var DataUtils_1 = require("../../Utils/DataUtils");
var CellEditorString = function (_a) {
    var column = _a.column, dispatch = _a.dispatch, rowData = _a.rowData, value = _a.value, rowKeyField = _a.rowKeyField;
    return (react_1["default"].createElement("input", { autoFocus: true, type: 'text', className: defaultOptions_1["default"].css.textInput, value: value || '', onChange: function (event) {
            dispatch(enums_1.ActionType.ChangeRowData, { newValue: DataUtils_1.replaceValue(rowData, column, event.currentTarget.value) });
        }, onBlur: function () {
            var cell = { columnKey: column.key, rowKey: rowData[rowKeyField] };
            dispatch(enums_1.ActionType.CloseEditor, { cell: cell });
        } }));
};
exports["default"] = CellEditorString;
