"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
exports.__esModule = true;
var React = __importStar(require("react"));
var enums_1 = require("../../enums");
var CommonUtils_1 = require("../../Utils/CommonUtils");
var PropsUtils_1 = require("../../Utils/PropsUtils");
var CellText = function (props) {
    var childAttributes = props.childAttributes, column = props.column, format = props.column.format, dispatch = props.dispatch, editingMode = props.editingMode, rowData = props.rowData, rowKeyField = props.rowKeyField, value = props.value;
    var formatedValue = format ? format(value) : !CommonUtils_1.isEmpty(value) && value.toString();
    var componentProps = {
        className: 'ka-cell-text',
        onClick: function () {
            if (editingMode === enums_1.EditingMode.Cell) {
                var cell = { columnKey: column.key, rowKey: rowData[rowKeyField] };
                dispatch(enums_1.ActionType.OpenEditor, { cell: cell });
            }
        }
    };
    var divProps = PropsUtils_1.extendProps(componentProps, props, childAttributes.cell, props.dispatch);
    return (React.createElement("div", __assign({}, divProps), formatedValue || React.createElement(React.Fragment, null, "\u00A0")));
};
exports["default"] = CellText;
