"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var react_1 = __importDefault(require("react"));
var defaultOptions_1 = __importDefault(require("../../defaultOptions"));
var DataRowContent_1 = __importDefault(require("../DataRowContent/DataRowContent"));
var EmptyCells_1 = __importDefault(require("../EmptyCells/EmptyCells"));
var DataRow = function (props) {
    var groupColumnsCount = props.groupColumnsCount, rowData = props.rowData, rowKeyField = props.rowKeyField, dataRow = props.dataRow, selectedRows = props.selectedRows, trRef = props.trRef;
    var rowKeyValue = rowData[rowKeyField];
    var isSelectedRow = selectedRows.some(function (s) { return s === rowKeyValue; });
    var dataRowProps = __assign(__assign({}, props), { isSelectedRow: isSelectedRow, rowKeyValue: rowKeyValue });
    var dataRowContent = dataRow && dataRow(dataRowProps);
    return (react_1["default"].createElement("tr", { ref: trRef, className: defaultOptions_1["default"].css.row + " " + (isSelectedRow ? defaultOptions_1["default"].css.rowSelected : '') },
        react_1["default"].createElement(EmptyCells_1["default"], { count: groupColumnsCount }),
        dataRowContent
            ? react_1["default"].createElement("td", { className: defaultOptions_1["default"].css.cell }, dataRowContent)
            : react_1["default"].createElement(DataRowContent_1["default"], __assign({}, dataRowProps))));
};
exports["default"] = DataRow;
