"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var react_1 = __importDefault(require("react"));
var defaultOptions_1 = __importDefault(require("../../defaultOptions"));
var enums_1 = require("../../enums");
var DateUtils_1 = require("../../Utils/DateUtils");
var FilterRowDate = function (_a) {
    var column = _a.column, dispatch = _a.dispatch;
    var fieldValue = column.filterRowValue;
    var value = fieldValue && DateUtils_1.getDateInputValue(fieldValue);
    return (react_1["default"].createElement("input", { className: defaultOptions_1["default"].css.dateInput, type: 'date', value: value || '', onChange: function (event) {
            var targetValue = event.currentTarget.value;
            var filterRowValue = targetValue ? new Date(targetValue) : null;
            var updatedColumn = __assign(__assign({}, column), { filterRowValue: filterRowValue });
            dispatch(enums_1.ActionType.ChangeFilterRow, { column: updatedColumn });
        } }));
};
exports["default"] = FilterRowDate;
