"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var React = __importStar(require("react"));
var defaultOptions_1 = __importDefault(require("../../defaultOptions"));
var enums_1 = require("../../enums");
var HeadRowUtils_1 = require("../../Utils/HeadRowUtils");
var HeadCellContent = function (props) {
    var headCell = props.column.headCell;
    if (headCell) {
        return headCell(props);
    }
    var column = props.column, _a = props.column, title = _a.title, sortDirection = _a.sortDirection, dispatch = props.dispatch, sortingMode = props.sortingMode;
    var isSortingEnabled = sortingMode === enums_1.SortingMode.Single;
    var sortClick = isSortingEnabled ? function () {
        var updatedColumn = HeadRowUtils_1.getColumnWithUpdatedSortDirection(column);
        dispatch(enums_1.ActionType.ChangeSorting, { column: updatedColumn });
    } : undefined;
    return (React.createElement("div", { className: "ka-thead-cell-content " + (isSortingEnabled ? 'ka-pointer' : ''), onClick: sortClick },
        React.createElement("span", null, title),
        sortDirection && isSortingEnabled && (React.createElement("span", { className: sortDirection === enums_1.SortDirection.Ascend
                ? defaultOptions_1["default"].css.iconSortArrowUp
                : defaultOptions_1["default"].css.iconSortArrowDown }))));
};
exports["default"] = HeadCellContent;
