"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var react_1 = __importStar(require("react"));
var GroupUtils_1 = require("../../Utils/GroupUtils");
var DataRow_1 = __importDefault(require("../DataRow/DataRow"));
var GroupRow_1 = __importDefault(require("../GroupRow/GroupRow"));
var Rows = function (props) {
    var columns = props.columns, data = props.data, dispatch = props.dispatch, groupedColumns = props.groupedColumns, _a = props.groups, groups = _a === void 0 ? [] : _a, _b = props.groupsExpanded, groupsExpanded = _b === void 0 ? [] : _b, groupRow = props.groupRow, onFirstRowRendered = props.onFirstRowRendered, rowKeyField = props.rowKeyField;
    var groupMark = GroupUtils_1.getGroupMark();
    var firstRowRef = react_1.useRef(null);
    react_1.useEffect(function () {
        onFirstRowRendered(firstRowRef);
    }, [firstRowRef, onFirstRowRendered]);
    var rowRefLink = firstRowRef;
    return (react_1["default"].createElement(react_1["default"].Fragment, null, data.map(function (d) {
        if (d.groupMark === groupMark) {
            var groupIndex = d.key.length - 1;
            var group_1 = groups && groups[groupIndex];
            var column = group_1 && groupedColumns.find(function (c) { return c.key === group_1.columnKey; });
            return (react_1["default"].createElement(GroupRow_1["default"], { column: column, contentColSpan: columns.length - groupIndex + groups.length, dispatch: dispatch, groupIndex: groupIndex, groupKey: d.key, groupRow: groupRow, isExpanded: groupsExpanded.some(function (ge) { return JSON.stringify(ge) === JSON.stringify(d.key); }), text: GroupUtils_1.getGroupText(d.value, column), key: d.key }));
        }
        else {
            var dataRow = (react_1["default"].createElement(DataRow_1["default"], __assign({}, props, { trRef: rowRefLink, key: d[rowKeyField], rowData: d })));
            rowRefLink = undefined;
            return dataRow;
        }
    })));
};
exports["default"] = Rows;
