"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var React = __importStar(require("react"));
var defaultOptions_1 = __importDefault(require("../../defaultOptions"));
var enums_1 = require("../../enums");
var ActionUtils_1 = require("../../Utils/ActionUtils");
var FilterUtils_1 = require("../../Utils/FilterUtils");
var GroupUtils_1 = require("../../Utils/GroupUtils");
var PropsUtils_1 = require("../../Utils/PropsUtils");
var SortUtils_1 = require("../../Utils/SortUtils");
var TypeUtils_1 = require("../../Utils/TypeUtils");
var FilterRow_1 = __importDefault(require("../FilterRow/FilterRow"));
var HeadRow_1 = __importDefault(require("../HeadRow/HeadRow"));
var TableBody_1 = __importDefault(require("../TableBody/TableBody"));
exports.Table = function (props) {
    var _a = props.childAttributes, childAttributes = _a === void 0 ? {} : _a, _b = props.editableCells, editableCells = _b === void 0 ? [] : _b, _c = props.editingMode, editingMode = _c === void 0 ? enums_1.EditingMode.None : _c, filteringMode = props.filteringMode, groups = props.groups, search = props.search, _d = props.selectedRows, selectedRows = _d === void 0 ? [] : _d, _e = props.sortingMode, sortingMode = _e === void 0 ? enums_1.SortingMode.None : _e;
    var columns = props.columns, _f = props.data, data = _f === void 0 ? [] : _f;
    data = search ? FilterUtils_1.searchData(columns, data, search) : data;
    data = TypeUtils_1.convertToColumnTypes(data, columns);
    data = FilterUtils_1.filterData(data, columns);
    data = SortUtils_1.sortData(columns, data);
    var groupColumnsCount = 0;
    var groupedColumns = [];
    if (groups) {
        groupColumnsCount = groups.length;
        groupedColumns = columns.filter(function (c) { return groups.some(function (g) { return g.columnKey === c.key; }); });
        columns = columns.filter(function (c) { return !groups.some(function (g) { return g.columnKey === c.key; }); });
    }
    var groupsExpanded = props.groupsExpanded;
    var groupedData = groups ? GroupUtils_1.getGroupedData(data, groups, groupedColumns, groupsExpanded) : data;
    if (groups && !groupsExpanded) {
        groupsExpanded = GroupUtils_1.getExpandedGroups(groupedData);
    }
    var theadRef = React.useRef(null);
    var dispatch = ActionUtils_1.wrapDispatch(__assign(__assign({}, props), { groupsExpanded: groupsExpanded }), theadRef);
    var componentProps = {
        className: defaultOptions_1["default"].css.table
    };
    var tableProps = PropsUtils_1.extendProps(componentProps, props, childAttributes.table, dispatch);
    return (React.createElement("div", { className: 'ka' },
        React.createElement("table", __assign({}, tableProps),
            React.createElement("thead", { className: defaultOptions_1["default"].css.thead, ref: theadRef },
                React.createElement(HeadRow_1["default"], { groupColumnsCount: groupColumnsCount, columns: columns, dispatch: dispatch, sortingMode: sortingMode }),
                filteringMode === enums_1.FilteringMode.FilterRow &&
                    (React.createElement(FilterRow_1["default"], { columns: columns, dispatch: dispatch, groupColumnsCount: groupColumnsCount }))),
            React.createElement(TableBody_1["default"], __assign({}, props, { childAttributes: childAttributes, columns: columns, data: groupedData, dispatch: dispatch, editableCells: editableCells, editingMode: editingMode, groupColumnsCount: groupColumnsCount, groupedColumns: groupedColumns, groupsExpanded: groupsExpanded, selectedRows: selectedRows })))));
};
