import * as React from 'react';
import { EditingMode } from '../../enums';
import { ChildAttributes } from '../../models';
import { Cell } from '../../Models/Cell';
import { Column } from '../../Models/Column';
import { Group } from '../../Models/Group';
import { VirtualScrolling } from '../../Models/VirtualScrolling';
import { DataChangeFunc, DataRowFunc, DispatchFunc, GroupRowFunc, NoDataRowFunc } from '../../types';
export interface ITableBodyProps {
    childAttributes: ChildAttributes;
    columns: Column[];
    data: any[];
    dataRow?: DataRowFunc;
    dispatch: DispatchFunc;
    editableCells: Cell[];
    editingMode: EditingMode;
    groupColumnsCount: number;
    groupRow?: GroupRowFunc;
    groupedColumns: Column[];
    groups?: Group[];
    groupsExpanded?: any[][];
    noDataRow?: NoDataRowFunc;
    onDataChange?: DataChangeFunc;
    rowKeyField: string;
    selectedRows: any[];
    virtualScrolling?: VirtualScrolling;
}
declare const TableBody: React.FunctionComponent<ITableBodyProps>;
export default TableBody;
