/// <reference types="react" />
import { DataType, SortDirection } from '../enums';
import { CellFunc, EditorFunc, Field, FilterRowFunc, FormatFunc, GroupCellFunc, HeaderCellFunc, SearchFunc, ValidationFunc } from '../types';
/**
 * Describes column of table its look and behaviour
 */
export declare class Column {
    cell?: CellFunc;
    dataType?: DataType;
    editor?: EditorFunc;
    filterRowCell?: FilterRowFunc;
    filterRowValue?: any;
    filterRowOperator?: any;
    field?: Field;
    fieldParents?: Field[];
    format?: FormatFunc;
    groupCell?: GroupCellFunc;
    headCell?: HeaderCellFunc;
    isEditable?: boolean;
    key: string;
    search?: SearchFunc;
    sortDirection?: SortDirection;
    style?: React.CSSProperties;
    title?: string;
    validation?: ValidationFunc;
}
