"use strict";
exports.__esModule = true;
var enums_1 = require("../enums");
var ArrayUtils_1 = require("./ArrayUtils");
exports.isEditableCell = function (editingMode, column, rowEditableCells) {
    if (column.isEditable !== undefined) {
        return column.isEditable;
    }
    if (editingMode === enums_1.EditingMode.Cell) {
        return !!rowEditableCells.find(function (c) { return c.columnKey === column.key; });
    }
    return false;
};
exports.addItemToEditableCells = function (item, editableCells) {
    return ArrayUtils_1.getCopyOfArrayAndAddItem(item, editableCells);
};
exports.removeItemFromEditableCells = function (item, editableCells) {
    return editableCells.filter(function (c) { return c.columnKey !== item.columnKey || c.rowKey !== item.rowKey; });
};
