"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
exports.__esModule = true;
var ColumnUtils_1 = require("./ColumnUtils");
exports.getParentValue = function (rowData, fieldParents, sameObj) {
    if (sameObj === void 0) { sameObj = false; }
    var parentValue = fieldParents.reduce(function (previousValue, currentValue) {
        var result = (previousValue && previousValue[currentValue]);
        return result !== undefined ? result : undefined;
    }, rowData);
    return parentValue ? __assign({}, parentValue) : undefined;
};
exports.createObjByFields = function (fieldParents, field, value) {
    var parentValue = {};
    if (fieldParents.length) {
        fieldParents.reduce(function (previousValue, currentItem, currentIndex) {
            var lastObj = {};
            previousValue[currentItem] = lastObj;
            if (currentIndex === (fieldParents.length - 1)) {
                lastObj[field] = value;
            }
            return lastObj;
        }, parentValue);
    }
    else {
        parentValue[field] = value;
    }
    return __assign({}, parentValue);
};
exports.getValueByColumn = function (rowData, column) {
    return exports.getValueByField(rowData, ColumnUtils_1.getField(column), column.fieldParents);
};
exports.getValueByField = function (rowData, field, fieldParents) {
    if (fieldParents && fieldParents.length) {
        var parentValue = exports.getParentValue(rowData, fieldParents);
        if (parentValue) {
            return parentValue[field];
        }
        return undefined;
    }
    else {
        return rowData[field];
    }
};
var replaceValueForField = function (rowData, field, newValue, fieldParents) {
    var result = __assign({}, rowData);
    if (fieldParents && fieldParents.length) {
        var parentValue = exports.getParentValue(result, fieldParents) || {};
        parentValue[field] = newValue;
        var parentsOfParent = __spreadArrays(fieldParents);
        var parentFieldName = parentsOfParent.pop();
        result = replaceValueForField(result, parentFieldName, parentValue, parentsOfParent);
    }
    else {
        result[field] = newValue;
    }
    return result;
};
exports.replaceValue = function (rowData, column, newValue) {
    return replaceValueForField(rowData, ColumnUtils_1.getField(column), newValue, column.fieldParents);
};
