import { HTMLAttributes } from 'react';
export declare const extendProps: (childElementAttributes: HTMLAttributes<HTMLElement>, childProps: any, childCustomAttributes: {
    defaultChecked?: boolean;
    defaultValue?: string | number | string[];
    suppressContentEditableWarning?: boolean;
    suppressHydrationWarning?: boolean;
    accessKey?: string;
    className?: string;
    contentEditable?: boolean | "inherit" | "false" | "true";
    contextMenu?: string;
    dir?: string;
    draggable?: boolean | "false" | "true";
    hidden?: boolean;
    id?: string;
    lang?: string;
    placeholder?: string;
    slot?: string;
    spellCheck?: boolean | "false" | "true";
    style?: import("react").CSSProperties;
    tabIndex?: number;
    title?: string;
    translate?: "yes" | "no";
    radioGroup?: string;
    role?: string;
    about?: string;
    datatype?: string;
    inlist?: any;
    prefix?: string;
    property?: string;
    resource?: string;
    typeof?: string;
    vocab?: string;
    autoCapitalize?: string;
    autoCorrect?: string;
    autoSave?: string;
    color?: string;
    itemProp?: string;
    itemScope?: boolean;
    itemType?: string;
    itemID?: string;
    itemRef?: string;
    results?: number;
    security?: string;
    unselectable?: "on" | "off";
    inputMode?: "search" | "none" | "text" | "decimal" | "numeric" | "tel" | "url" | "email";
    is?: string;
    'aria-activedescendant'?: string;
    'aria-atomic'?: boolean | "false" | "true";
    'aria-autocomplete'?: "none" | "both" | "inline" | "list";
    'aria-busy'?: boolean | "false" | "true";
    'aria-checked'?: boolean | "mixed" | "false" | "true";
    'aria-colcount'?: number;
    'aria-colindex'?: number;
    'aria-colspan'?: number;
    'aria-controls'?: string;
    'aria-current'?: boolean | "time" | "page" | "false" | "true" | "step" | "location" | "date";
    'aria-describedby'?: string;
    'aria-details'?: string;
    'aria-disabled'?: boolean | "false" | "true";
    'aria-dropeffect'?: "link" | "none" | "copy" | "move" | "execute" | "popup";
    'aria-errormessage'?: string;
    'aria-expanded'?: boolean | "false" | "true";
    'aria-flowto'?: string;
    'aria-grabbed'?: boolean | "false" | "true";
    'aria-haspopup'?: boolean | "dialog" | "menu" | "listbox" | "grid" | "false" | "true" | "tree";
    'aria-hidden'?: boolean | "false" | "true";
    'aria-invalid'?: boolean | "false" | "true" | "grammar" | "spelling";
    'aria-keyshortcuts'?: string;
    'aria-label'?: string;
    'aria-labelledby'?: string;
    'aria-level'?: number;
    'aria-live'?: "off" | "assertive" | "polite";
    'aria-modal'?: boolean | "false" | "true";
    'aria-multiline'?: boolean | "false" | "true";
    'aria-multiselectable'?: boolean | "false" | "true";
    'aria-orientation'?: "horizontal" | "vertical";
    'aria-owns'?: string;
    'aria-placeholder'?: string;
    'aria-posinset'?: number;
    'aria-pressed'?: boolean | "mixed" | "false" | "true";
    'aria-readonly'?: boolean | "false" | "true";
    'aria-relevant'?: "all" | "text" | "additions" | "additions text" | "removals";
    'aria-required'?: boolean | "false" | "true";
    'aria-roledescription'?: string;
    'aria-rowcount'?: number;
    'aria-rowindex'?: number;
    'aria-rowspan'?: number;
    'aria-selected'?: boolean | "false" | "true";
    'aria-setsize'?: number;
    'aria-sort'?: "none" | "ascending" | "descending" | "other";
    'aria-valuemax'?: number;
    'aria-valuemin'?: number;
    'aria-valuenow'?: number;
    'aria-valuetext'?: string;
    children?: import("react").ReactNode;
    dangerouslySetInnerHTML?: {
        __html: string;
    };
    onCopy?: (e: import("react").ClipboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCopyCapture?: (e: import("react").ClipboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCut?: (e: import("react").ClipboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCutCapture?: (e: import("react").ClipboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPaste?: (e: import("react").ClipboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPasteCapture?: (e: import("react").ClipboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCompositionEnd?: (e: import("react").CompositionEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCompositionEndCapture?: (e: import("react").CompositionEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCompositionStart?: (e: import("react").CompositionEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCompositionStartCapture?: (e: import("react").CompositionEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCompositionUpdate?: (e: import("react").CompositionEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCompositionUpdateCapture?: (e: import("react").CompositionEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onFocus?: (e: import("react").FocusEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onFocusCapture?: (e: import("react").FocusEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onBlur?: (e: import("react").FocusEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onBlurCapture?: (e: import("react").FocusEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onChange?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onChangeCapture?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onBeforeInput?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onBeforeInputCapture?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onInput?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onInputCapture?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onReset?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onResetCapture?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSubmit?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSubmitCapture?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onInvalid?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onInvalidCapture?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLoad?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLoadCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onError?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onErrorCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onKeyDown?: (e: import("react").KeyboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onKeyDownCapture?: (e: import("react").KeyboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onKeyPress?: (e: import("react").KeyboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onKeyPressCapture?: (e: import("react").KeyboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onKeyUp?: (e: import("react").KeyboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onKeyUpCapture?: (e: import("react").KeyboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAbort?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAbortCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCanPlay?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCanPlayCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCanPlayThrough?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCanPlayThroughCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDurationChange?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDurationChangeCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onEmptied?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onEmptiedCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onEncrypted?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onEncryptedCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onEnded?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onEndedCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLoadedData?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLoadedDataCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLoadedMetadata?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLoadedMetadataCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLoadStart?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLoadStartCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPause?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPauseCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPlay?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPlayCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPlaying?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPlayingCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onProgress?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onProgressCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onRateChange?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onRateChangeCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSeeked?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSeekedCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSeeking?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSeekingCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onStalled?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onStalledCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSuspend?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSuspendCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTimeUpdate?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTimeUpdateCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onVolumeChange?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onVolumeChangeCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onWaiting?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onWaitingCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAuxClick?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAuxClickCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onClick?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onClickCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onContextMenu?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onContextMenuCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDoubleClick?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDoubleClickCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDrag?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragCapture?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragEnd?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragEndCapture?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragEnter?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragEnterCapture?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragExit?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragExitCapture?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragLeave?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragLeaveCapture?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragOver?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragOverCapture?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragStart?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragStartCapture?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDrop?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDropCapture?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseDown?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseDownCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseEnter?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseLeave?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseMove?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseMoveCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseOut?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseOutCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseOver?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseOverCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseUp?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseUpCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSelect?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSelectCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTouchCancel?: (e: import("react").TouchEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTouchCancelCapture?: (e: import("react").TouchEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTouchEnd?: (e: import("react").TouchEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTouchEndCapture?: (e: import("react").TouchEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTouchMove?: (e: import("react").TouchEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTouchMoveCapture?: (e: import("react").TouchEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTouchStart?: (e: import("react").TouchEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTouchStartCapture?: (e: import("react").TouchEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerDown?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerDownCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerMove?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerMoveCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerUp?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerUpCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerCancel?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerCancelCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerEnter?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerEnterCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerLeave?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerLeaveCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerOver?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerOverCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerOut?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerOutCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onGotPointerCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onGotPointerCaptureCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLostPointerCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLostPointerCaptureCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onScroll?: (e: import("react").UIEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onScrollCapture?: (e: import("react").UIEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onWheel?: (e: import("react").WheelEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onWheelCapture?: (e: import("react").WheelEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAnimationStart?: (e: import("react").AnimationEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAnimationStartCapture?: (e: import("react").AnimationEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAnimationEnd?: (e: import("react").AnimationEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAnimationEndCapture?: (e: import("react").AnimationEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAnimationIteration?: (e: import("react").AnimationEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAnimationIterationCapture?: (e: import("react").AnimationEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTransitionEnd?: (e: import("react").TransitionEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTransitionEndCapture?: (e: import("react").TransitionEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
}, dispatch: any) => HTMLAttributes<HTMLElement>;
export declare const mergeProps: (childElementAttributes: HTMLAttributes<HTMLElement>, childProps: any, childCustomAttributes: {
    defaultChecked?: boolean;
    defaultValue?: string | number | string[];
    suppressContentEditableWarning?: boolean;
    suppressHydrationWarning?: boolean;
    accessKey?: string;
    className?: string;
    contentEditable?: boolean | "inherit" | "false" | "true";
    contextMenu?: string;
    dir?: string;
    draggable?: boolean | "false" | "true";
    hidden?: boolean;
    id?: string;
    lang?: string;
    placeholder?: string;
    slot?: string;
    spellCheck?: boolean | "false" | "true";
    style?: import("react").CSSProperties;
    tabIndex?: number;
    title?: string;
    translate?: "yes" | "no";
    radioGroup?: string;
    role?: string;
    about?: string;
    datatype?: string;
    inlist?: any;
    prefix?: string;
    property?: string;
    resource?: string;
    typeof?: string;
    vocab?: string;
    autoCapitalize?: string;
    autoCorrect?: string;
    autoSave?: string;
    color?: string;
    itemProp?: string;
    itemScope?: boolean;
    itemType?: string;
    itemID?: string;
    itemRef?: string;
    results?: number;
    security?: string;
    unselectable?: "on" | "off";
    inputMode?: "search" | "none" | "text" | "decimal" | "numeric" | "tel" | "url" | "email";
    is?: string;
    'aria-activedescendant'?: string;
    'aria-atomic'?: boolean | "false" | "true";
    'aria-autocomplete'?: "none" | "both" | "inline" | "list";
    'aria-busy'?: boolean | "false" | "true";
    'aria-checked'?: boolean | "mixed" | "false" | "true";
    'aria-colcount'?: number;
    'aria-colindex'?: number;
    'aria-colspan'?: number;
    'aria-controls'?: string;
    'aria-current'?: boolean | "time" | "page" | "false" | "true" | "step" | "location" | "date";
    'aria-describedby'?: string;
    'aria-details'?: string;
    'aria-disabled'?: boolean | "false" | "true";
    'aria-dropeffect'?: "link" | "none" | "copy" | "move" | "execute" | "popup";
    'aria-errormessage'?: string;
    'aria-expanded'?: boolean | "false" | "true";
    'aria-flowto'?: string;
    'aria-grabbed'?: boolean | "false" | "true";
    'aria-haspopup'?: boolean | "dialog" | "menu" | "listbox" | "grid" | "false" | "true" | "tree";
    'aria-hidden'?: boolean | "false" | "true";
    'aria-invalid'?: boolean | "false" | "true" | "grammar" | "spelling";
    'aria-keyshortcuts'?: string;
    'aria-label'?: string;
    'aria-labelledby'?: string;
    'aria-level'?: number;
    'aria-live'?: "off" | "assertive" | "polite";
    'aria-modal'?: boolean | "false" | "true";
    'aria-multiline'?: boolean | "false" | "true";
    'aria-multiselectable'?: boolean | "false" | "true";
    'aria-orientation'?: "horizontal" | "vertical";
    'aria-owns'?: string;
    'aria-placeholder'?: string;
    'aria-posinset'?: number;
    'aria-pressed'?: boolean | "mixed" | "false" | "true";
    'aria-readonly'?: boolean | "false" | "true";
    'aria-relevant'?: "all" | "text" | "additions" | "additions text" | "removals";
    'aria-required'?: boolean | "false" | "true";
    'aria-roledescription'?: string;
    'aria-rowcount'?: number;
    'aria-rowindex'?: number;
    'aria-rowspan'?: number;
    'aria-selected'?: boolean | "false" | "true";
    'aria-setsize'?: number;
    'aria-sort'?: "none" | "ascending" | "descending" | "other";
    'aria-valuemax'?: number;
    'aria-valuemin'?: number;
    'aria-valuenow'?: number;
    'aria-valuetext'?: string;
    children?: import("react").ReactNode;
    dangerouslySetInnerHTML?: {
        __html: string;
    };
    onCopy?: (e: import("react").ClipboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCopyCapture?: (e: import("react").ClipboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCut?: (e: import("react").ClipboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCutCapture?: (e: import("react").ClipboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPaste?: (e: import("react").ClipboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPasteCapture?: (e: import("react").ClipboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCompositionEnd?: (e: import("react").CompositionEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCompositionEndCapture?: (e: import("react").CompositionEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCompositionStart?: (e: import("react").CompositionEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCompositionStartCapture?: (e: import("react").CompositionEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCompositionUpdate?: (e: import("react").CompositionEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCompositionUpdateCapture?: (e: import("react").CompositionEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onFocus?: (e: import("react").FocusEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onFocusCapture?: (e: import("react").FocusEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onBlur?: (e: import("react").FocusEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onBlurCapture?: (e: import("react").FocusEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onChange?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onChangeCapture?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onBeforeInput?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onBeforeInputCapture?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onInput?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onInputCapture?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onReset?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onResetCapture?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSubmit?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSubmitCapture?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onInvalid?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onInvalidCapture?: (e: import("react").FormEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLoad?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLoadCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onError?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onErrorCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onKeyDown?: (e: import("react").KeyboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onKeyDownCapture?: (e: import("react").KeyboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onKeyPress?: (e: import("react").KeyboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onKeyPressCapture?: (e: import("react").KeyboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onKeyUp?: (e: import("react").KeyboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onKeyUpCapture?: (e: import("react").KeyboardEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAbort?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAbortCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCanPlay?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCanPlayCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCanPlayThrough?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onCanPlayThroughCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDurationChange?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDurationChangeCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onEmptied?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onEmptiedCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onEncrypted?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onEncryptedCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onEnded?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onEndedCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLoadedData?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLoadedDataCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLoadedMetadata?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLoadedMetadataCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLoadStart?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLoadStartCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPause?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPauseCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPlay?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPlayCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPlaying?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPlayingCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onProgress?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onProgressCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onRateChange?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onRateChangeCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSeeked?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSeekedCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSeeking?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSeekingCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onStalled?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onStalledCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSuspend?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSuspendCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTimeUpdate?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTimeUpdateCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onVolumeChange?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onVolumeChangeCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onWaiting?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onWaitingCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAuxClick?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAuxClickCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onClick?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onClickCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onContextMenu?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onContextMenuCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDoubleClick?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDoubleClickCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDrag?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragCapture?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragEnd?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragEndCapture?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragEnter?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragEnterCapture?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragExit?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragExitCapture?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragLeave?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragLeaveCapture?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragOver?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragOverCapture?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragStart?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDragStartCapture?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDrop?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onDropCapture?: (e: import("react").DragEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseDown?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseDownCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseEnter?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseLeave?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseMove?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseMoveCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseOut?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseOutCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseOver?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseOverCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseUp?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onMouseUpCapture?: (e: import("react").MouseEvent<HTMLElement, MouseEvent>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSelect?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onSelectCapture?: (e: import("react").SyntheticEvent<HTMLElement, Event>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTouchCancel?: (e: import("react").TouchEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTouchCancelCapture?: (e: import("react").TouchEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTouchEnd?: (e: import("react").TouchEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTouchEndCapture?: (e: import("react").TouchEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTouchMove?: (e: import("react").TouchEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTouchMoveCapture?: (e: import("react").TouchEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTouchStart?: (e: import("react").TouchEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTouchStartCapture?: (e: import("react").TouchEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerDown?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerDownCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerMove?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerMoveCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerUp?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerUpCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerCancel?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerCancelCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerEnter?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerEnterCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerLeave?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerLeaveCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerOver?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerOverCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerOut?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onPointerOutCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onGotPointerCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onGotPointerCaptureCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLostPointerCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onLostPointerCaptureCapture?: (e: import("react").PointerEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onScroll?: (e: import("react").UIEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onScrollCapture?: (e: import("react").UIEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onWheel?: (e: import("react").WheelEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onWheelCapture?: (e: import("react").WheelEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAnimationStart?: (e: import("react").AnimationEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAnimationStartCapture?: (e: import("react").AnimationEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAnimationEnd?: (e: import("react").AnimationEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAnimationEndCapture?: (e: import("react").AnimationEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAnimationIteration?: (e: import("react").AnimationEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onAnimationIterationCapture?: (e: import("react").AnimationEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTransitionEnd?: (e: import("react").TransitionEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
    onTransitionEndCapture?: (e: import("react").TransitionEvent<HTMLElement>, extendedEvent: import("../models").AttributeTableData<any>) => void;
}, dispatch: any) => HTMLAttributes<HTMLElement>;
