import { PropsWithChildren } from 'react';
import { ICellContentProps } from './Components/CellContent/CellContent';
import { ICellEditorProps, IFilterRowEditorProps } from './Components/CellEditor/CellEditor';
import { IDataRowProps } from './Components/DataRowContent/DataRowContent';
import { IGroupRowProps } from './Components/GroupRowContent/GroupRowContent';
import { IHeadCellProps } from './Components/HeadCell/HeadCell';
import { AttributeTableData, Column } from './models';
declare type AddParameters<T, I> = T extends (e: infer E) => void ? ((e: E, extendedEvent: AttributeTableData<I>) => void) : T;
declare type WithExtraParameters<T, I> = {
    [P in keyof T]: AddParameters<T[P], I>;
};
export declare type CellFunc = (props: CellFuncPropsWithChildren) => any;
export declare type CellFuncPropsWithChildren = PropsWithChildren<ICellContentProps>;
export declare type ChildAttributesItem<T> = WithExtraParameters<React.HTMLAttributes<HTMLElement>, T>;
export declare type DataChangeFunc = (data: any[]) => void;
export declare type DataRowFunc = (props: DataRowFuncPropsWithChildren) => any;
export declare type DataRowFuncPropsWithChildren = PropsWithChildren<IDataRowProps>;
export declare type DispatchFunc = (type: string, data: any) => void;
export declare type EditorFunc = (props: EditorFuncPropsWithChildren) => any;
export declare type EditorFuncPropsWithChildren = PropsWithChildren<ICellEditorProps>;
export declare type EventFunc = (type: string, data: any) => void;
export declare type Field = string;
export declare type FilterRowFunc = (props: FilterRowFuncPropsWithChildren) => any;
export declare type FilterRowFuncPropsWithChildren = PropsWithChildren<IFilterRowEditorProps>;
export declare type FormatFunc = (value: any) => any;
export declare type GroupCellFunc = (props: IGroupRowProps) => any;
export declare type GroupRowFunc = (props: IGroupRowProps) => any;
export declare type HeaderCellFunc = (props: HeaderCellFuncPropsWithChildren) => any;
export declare type HeaderCellFuncPropsWithChildren = PropsWithChildren<IHeadCellProps>;
export declare type NoDataRowFunc = () => any;
export declare type OptionChangeFunc = (value: any) => void;
export declare type SearchFunc = (searchText?: string, rowData?: any, column?: Column) => boolean;
export declare type ValidationFunc = (value: any, rowData: any) => string | void;
export {};
